View Issue Details

IDProjectCategoryView StatusLast Update
14899Bug reports[All Projects] _ Unknownpublic2019-05-29 16:39
ReporterrealitixAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.17.x 
Summary14899: Incorrect behavior with Question of type R (Classement)
Description

Follow issue 14819

  • Create a survey with one group and one question of type R (non mandatory answer)
  • Add theses options:

A1;Option 1
A2;Option 2
A3;Option 3
A4;Option 4

  • Activate the survey and fill it one time
  • Remove one option (for example: Option 2)
  • Fill the survey, it works.
  • Set the question as mandatory and try to fill the survey again -> Block
TagsNo tags attached.
Complete LimeSurvey version number (& build)master 3.15.9
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Version0
Server OS (if known)
Webserver software & version (if known)
PHP Version0

Activities

DenisChenu

DenisChenu

2019-05-16 23:39

developer   ~51975

https://github.com/LimeSurvey/LimeSurvey/commit/8cdcaae13fb56ffb060e80453aef34abfac5d2ff

realitix

realitix

2019-05-17 10:12

reporter   ~51981

Amazing thanks!

DenisChenu

DenisChenu

2019-05-29 16:12

developer   ~52176

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28893

c_schmitz

c_schmitz

2019-05-29 16:39

administrator   ~52212

Version 3.17.4+190529 released

Related Changesets

LimeSurvey: master 8cdcaae1

2019-05-16 23:38:25

DenisChenu

Details Diff
Fixed issue 14899: Incorrect behavior with Question of type R (Ranking)
Dev: get the min between answer count and columns count
Affected Issues
14899
mod - application/helpers/common_helper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - application/views/admin/export/statistics_subviews/_question.php Diff File

Issue History

Date Modified Username Field Change
2019-05-15 11:19 realitix New Issue
2019-05-15 11:36 DenisChenu Assigned To => DenisChenu
2019-05-15 11:36 DenisChenu Status new => assigned
2019-05-16 23:39 DenisChenu Status assigned => resolved
2019-05-16 23:39 DenisChenu Resolution open => fixed
2019-05-16 23:39 DenisChenu Fixed in Version => 3.17.x
2019-05-16 23:39 DenisChenu Note Added: 51975
2019-05-17 10:12 realitix Note Added: 51981
2019-05-29 16:12 DenisChenu Changeset attached => LimeSurvey master 8cdcaae1
2019-05-29 16:12 DenisChenu Note Added: 52176
2019-05-29 16:39 c_schmitz Note Added: 52212
2019-05-29 16:39 c_schmitz Status resolved => closed